/* Interface for libebl_i386 module.
   Copyright (C) 2000, 2001, 2002, 2003 Red Hat, Inc.
   This file is part of Red Hat elfutils.


   Red Hat elfutils is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by the
   Free Software Foundation; version 2 of the License.

   Red Hat elfutils is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with Red Hat elfutils; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301 USA.

   Red Hat elfutils is an included package of the Open Invention Network.
   An included package of the Open Invention Network is a package for which
   Open Invention Network licensees cross-license their patents.  No patent
   license is granted, either expressly or impliedly, by designation as an
   included package.  Should you wish to participate in the Open Invention
   Network licensing program, please visit www.openinventionnetwork.com
   <http://www.openinventionnetwork.com>.  */

#ifndef _LIBEBL_I386_H
#define _LIBEBL_I386_H 1

#include <libeblP.h>


/* Constructor.  */
extern int i386_init (Elf *elf, GElf_Half machine, Ebl *eh, size_t ehlen);

/* Destructor.  */
extern void i386_destr (Ebl *bh);


/* Function to get relocation type name.  */
extern const char *i386_reloc_type_name (int type, char *buf, size_t len);

/* Check relocation type.  */
extern bool i386_reloc_type_check (int type);

/* Check relocation type use.  */
extern bool i386_reloc_valid_use (Elf *elf, int type);

/* Check relocation type use.  */
extern bool i386_gotpc_reloc_check (Elf *elf, int type);

/* Code note handling.  */
extern bool i386_core_note (const char *name, uint32_t type, uint32_t descsz,
			    const char *desc);

#endif	/* libebl_i386.h */
